cadquery-svg

Examples of the cadquery-svg directive.

Tip

View the reStructuredText source of this page by following the View page source link in the header.

Simple rectangular plate

X Y Z
result = cadquery.Workplane().box(2, 2, 0.5)
show_object(result)

Pillow block

X Y Z
(length, height, diam, thickness, padding) = (30.0, 40.0, 22.0, 10.0, 8.0)

result = (
    cq.Workplane()
    .box(length, height, thickness)
    .faces(">Z")
    .workplane()
    .hole(diam)
    .faces(">Z")
    .workplane()
    .rect(length - padding, height - padding, forConstruction=True)
    .vertices()
    .cboreHole(2.4, 4.4, 2.1)
)

show_object(result)